AttributeError: 'NoneType' object has no attribute 'stopListening'

Bug #1381129 reported by Gavin Panella on 2014-10-14
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
MAAS
Critical
Andres Rodriguez
python-tx-tftp
New
Undecided
Unassigned
python-tx-tftp (Ubuntu)
Critical
Andres Rodriguez
Zesty
Undecided
Unassigned

Bug Description

This may have been triggered by a misbehaving TFTP client, but it's a bug nevertheless. Fortunately it does not appear to have any user-facing consequences.

==> /var/log/maas/pserv.log <==
2014-10-14 15:24:36+0000 [-] Timed during option negotiation process
2014-10-14 15:24:36+0000 [-] Timed during option negotiation process
2014-10-14 15:24:36+0000 [-] Unhandled Error
 Traceback (most recent call last):
   File "/usr/lib/python2.7/dist-packages/twisted/application/app.py", line 392, in startReactor
     self.config, oldstdout, oldstderr, self.profiler, reactor)
   File "/usr/lib/python2.7/dist-packages/twisted/application/app.py", line 313, in runReactorWithLogging
     reactor.run()
   File "/usr/lib/python2.7/dist-packages/twisted/internet/base.py", line 1192, in run
     self.mainLoop()
   File "/usr/lib/python2.7/dist-packages/twisted/internet/base.py", line 1201, in mainLoop
     self.runUntilCurrent()
 --- <exception caught here> ---
   File "/usr/lib/python2.7/dist-packages/twisted/internet/base.py", line 824, in runUntilCurrent
     call.func(*call.args, **call.kw)
   File "/usr/lib/python2.7/dist-packages/tftp/bootstrap.py", line 205, in timedOut
     self.cancel()
   File "/usr/lib/python2.7/dist-packages/tftp/bootstrap.py", line 200, in cancel
     self.transport.stopListening()
 exceptions.AttributeError: 'NoneType' object has no attribute 'stopListening'

2014-10-14 15:24:36+0000 [-] Logged OOPS id OOPS-c68c73582d2750eb757ae4aabe231837: AttributeError: 'NoneType' object has no attribute 'stopListening'
2014-10-14 15:24:36+0000 [-] Timed during option negotiation process
2014-10-14 15:24:36+0000 [-] Timed during option negotiation process
2014-10-14 15:24:36+0000 [-] Unhandled Error
 Traceback (most recent call last):
   File "/usr/lib/python2.7/dist-packages/twisted/application/app.py", line 392, in startReactor
     self.config, oldstdout, oldstderr, self.profiler, reactor)
   File "/usr/lib/python2.7/dist-packages/twisted/application/app.py", line 313, in runReactorWithLogging
     reactor.run()
   File "/usr/lib/python2.7/dist-packages/twisted/internet/base.py", line 1192, in run
     self.mainLoop()
   File "/usr/lib/python2.7/dist-packages/twisted/internet/base.py", line 1201, in mainLoop
     self.runUntilCurrent()
 --- <exception caught here> ---
   File "/usr/lib/python2.7/dist-packages/twisted/internet/base.py", line 824, in runUntilCurrent
     call.func(*call.args, **call.kw)
   File "/usr/lib/python2.7/dist-packages/tftp/bootstrap.py", line 205, in timedOut
     self.cancel()
   File "/usr/lib/python2.7/dist-packages/tftp/bootstrap.py", line 200, in cancel
     self.transport.stopListening()
 exceptions.AttributeError: 'NoneType' object has no attribute 'stopListening'

2014-10-14 15:24:36+0000 [-] Logged OOPS id OOPS-8ce57b8d5190be3706825c816fc8c775: AttributeError: 'NoneType' object has no attribute 'stopListening'

tags: added: landscape
Julian Edwards (julian-edwards) wrote :

Looks like an upstream library bug to me.

Christian Reis (kiko) on 2014-10-16
Changed in maas:
milestone: none → next
Andres Rodriguez (andreserl) wrote :

I just came across to this:

==> /var/log/maas/pserv.log <==
2014-11-13 15:53:29-0500 [-] Timed during option negotiation process
2014-11-13 15:53:29-0500 [-] Timed during option negotiation process
2014-11-13 15:53:29-0500 [-] Unhandled Error
        Traceback (most recent call last):
          File "/usr/lib/python2.7/dist-packages/twisted/application/app.py", line 392, in startReactor
            self.config, oldstdout, oldstderr, self.profiler, reactor)
          File "/usr/lib/python2.7/dist-packages/twisted/application/app.py", line 313, in runReactorWithLogging
            reactor.run()
          File "/usr/lib/python2.7/dist-packages/twisted/internet/base.py", line 1192, in run
            self.mainLoop()
          File "/usr/lib/python2.7/dist-packages/twisted/internet/base.py", line 1201, in mainLoop
            self.runUntilCurrent()
        --- <exception caught here> ---
          File "/usr/lib/python2.7/dist-packages/twisted/internet/base.py", line 824, in runUntilCurrent
            call.func(*call.args, **call.kw)
          File "/usr/lib/python2.7/dist-packages/tftp/bootstrap.py", line 205, in timedOut
            self.cancel()
          File "/usr/lib/python2.7/dist-packages/tftp/bootstrap.py", line 200, in cancel
            self.transport.stopListening()
        exceptions.AttributeError: 'NoneType' object has no attribute 'stopListening'

2014-11-13 15:53:29-0500 [-] Logged OOPS id OOPS-842a971397c89925dec64bda02d5fb03: AttributeError: 'NoneType' object has no attribute 'stopListening'

Raphaël Badin (rvb) on 2015-04-21
Changed in maas:
importance: High → Critical
Changed in maas:
importance: Critical → High
Changed in maas:
importance: High → Critical
Changed in maas:
milestone: next → 2.2.0rc2
assignee: nobody → Andres Rodriguez (andreserl)
Changed in maas:
status: Triaged → In Progress
Changed in python-tx-tftp (Ubuntu):
importance: Undecided → Critical
assignee: nobody → Andres Rodriguez (andreserl)
status: New → In Progress
Narinder Gupta (narindergupta) wrote :

I am seeing the same symptoms and error at HPE lab. Using MAAS 2.x from stable ppa from xenial.

Changed in maas:
status: In Progress → Fix Committed

Hello Gavin, or anyone else affected,

Accepted python-tx-tftp into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python-tx-tftp/0.1~bzr47-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in python-tx-tftp (Ubuntu Zesty):
status: New → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-tx-tftp - 0.1~bzr47-0ubuntu1

---------------
python-tx-tftp (0.1~bzr47-0ubuntu1) zesty; urgency=medium

  * New upstream revision that only includes bug fixes and changes made
    in previous Ubuntu packaging (lp:python-tfx-tftp) (LP: #1682187).
    - Include fixes to setup.py and tox (bzr43).
    - Include port to python3 (bzr44).
    - Mention object transfer in README (bzr45)
    - Fix handle non-RRQ/WRQ datagrams on default port (bzr46) (LP: #1682139)
    - Fix tracebacks that cause tftp to temporarily stop with
      missing 'stopListening', 'socket' (LP: #1376483, LP: #1381129)
  * debian/patches:
    - 04-setup-py-and-tox.patch: Drop, merged upstream (bzr43)
    - 05-python3-support.patch: Drop, merged upstream (bzr44)
    - 99-drop-trial.patch: Drop setuptools_trial, provided that it is not
      in the Ubuntu archive.

 -- Andres Rodriguez <email address hidden> Tue, 11 Apr 2017 11:03:56 -0400

Changed in python-tx-tftp (Ubuntu):
status: In Progress → Fix Released
Changed in maas:
status: Fix Committed → Fix Released

As part of a recent change in the Stable Release Update verification policy we would like to inform that for a bug to be considered verified for a given release a verification-done-$RELEASE tag needs to be added to the bug where $RELEASE is the name of the series the package that was tested (e.g. verification-done-xenial). Please note that the global 'verification-done' tag can no longer be used for this purpose.

Thank you!

The fix for this bug has been awaiting testing feedback in the -proposed repository for zesty for more than 90 days. Please test this fix and update the bug appropriately with the results. In the event that the fix for this bug is still not verified 15 days from now, the package will be removed from the -proposed repository.

tags: added: removal-candidate
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers